Bug 1045737 - [RFE] 'throttle' option.
Summary: [RFE] 'throttle' option.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Zdeněk Pavlas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1047758
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 16:10 UTC by Vratislav Podzimek
Modified: 2014-02-02 22:30 UTC (History)
5 users (show)

Fixed In Version: dnf-0.4.12-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 11:11:49 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vratislav Podzimek 2013-12-21 16:10:39 UTC
Description of problem:
It would be useful if DNF allowed bandwith limitting. Ideally as an option when run directly and also as a configuration option in the dnf.conf file. When running directly, it may be useful to limit DNF's bandwith to leave the rest for other applications/processes. The same (probably even more) applies to periodic metadata fetching run in background.

Additional info:
I believe urlgrabber supports limitting bandwith.

If I have some spare cycles during Xmas holiday, I'll try to submit a patch for this RFE.

Comment 1 Ales Kozumplik 2014-01-02 07:02:04 UTC
Hi Vratislav, thanks for the report, it's a low prio but we'll keep this open for now.

Comment 2 Ales Kozumplik 2014-01-03 14:43:18 UTC
Zdenek, can you please take this one? Tomas has cleared out the librepo side of things today. Thanks!

Comment 3 Zdeněk Pavlas 2014-01-16 13:46:03 UTC
Implemented upstream, please merge:

https://github.com/zde/dnf/commit/7e3a43ff9b93ae6ab504e81bfd5ee7bb21c9d51c

Comment 4 Fedora Update System 2014-01-21 07:39:48 UTC
dnf-0.4.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.12-1.fc20

Comment 5 Fedora Update System 2014-01-22 03:11:36 UTC
Package dnf-0.4.12-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.12-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1270/dnf-0.4.12-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-01-23 11:11:49 UTC
dnf-0.4.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.